## ros-iron-diagnostic-updater 3.1.2

=== debian/changelog ===
ros-iron-diagnostic-updater (3.1.2-3jammy) jammy; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Thu, 23 Mar 2023 23:00:00 -0000

ros-iron-diagnostic-updater (3.1.1-3jammy) jammy; urgency=high

  * Secretly supporting galactic (#295 <https://github.com/ros/diagnostics/issues/295>)
  * Linting additional package (#268 <https://github.com/ros/diagnostics/issues/268>)
  * Adding unit test for DiagnosticStatusWrapper
  * Maintainer update
  * Contributors: Austin, Christian Henkel, Jordan Palacios, Ralph Lange

 -- Austin Hendrix <namniart@gmail.com>  Wed, 15 Mar 2023 23:00:00 -0000

ros-iron-diagnostic-updater (3.1.0-3jammy) jammy; urgency=high

  * Merge of foxy and humble history into rolling for future maintenance from one branch only.
  * Adding READMEs to the repo (#270 <https://github.com/ros/diagnostics/issues/270>)
  * License fixes (#263 <https://github.com/ros/diagnostics/issues/263>)
  * Fix/cleanup ros1 (#257 <https://github.com/ros/diagnostics/issues/257>)
  * Fixed DiagnosedPublisher and switched to ROS_TIME (#243 <https://github.com/ros/diagnostics/issues/243>)
  * Check if parameter is already declared to avoid re-declaring it. (#227 <https://github.com/ros/diagnostics/issues/227>)
  * Update CMakeLists.txt to support modern cmake syntax
  * Fix diagnostic_updater cmake
  * Fix implicit conversion warnings
  * Contributors: Alberto Soragna, Austin, Christian Henkel, Grzegorz Głowacki, Nikos Koukis, Ralph Lange

 -- Austin Hendrix <namniart@gmail.com>  Wed, 25 Jan 2023 23:00:00 -0000

ros-iron-diagnostic-updater (3.0.0-3jammy) jammy; urgency=high

  * Merge pull request #217 <https://github.com/ros/diagnostics/issues/217> from boschresearch/ros-time-for-frequency-stat
  * Allow clock instance to be set from outside in FrequencyStatus
  * Use node clock for diagnostic_aggregator and diagnostic_updater (#210 <https://github.com/ros/diagnostics/issues/210>)
  * Use DiagnosticStatus.msg values instead of creating bytes manually (#193 <https://github.com/ros/diagnostics/issues/193>)
  * Contributors: Arne Nordmann, BasVolkers, Kenji Miyake, Marco Lampacrescia

 -- Austin Hendrix <namniart@gmail.com>  Thu, 09 Jun 2022 22:00:00 -0000

ros-iron-diagnostic-updater (2.1.3-3jammy) jammy; urgency=high

  * Time Diagnostics can be used with Simulated Time. (#201 <https://github.com/ros/diagnostics/issues/201>)
  * Contributors: Marco Lampacrescia

 -- Austin Hendrix <namniart@gmail.com>  Mon, 02 Aug 2021 22:00:00 -0000

ros-iron-diagnostic-updater (2.1.2-3jammy) jammy; urgency=high

  * Replace every byte creation instance. (#184 <https://github.com/ros/diagnostics/issues/184>)
  * Enable multiple tasks publishing for diagnostic updater. (#182 <https://github.com/ros/diagnostics/issues/182>)
  * Contributors: BasVolkers

 -- Austin Hendrix <namniart@gmail.com>  Tue, 02 Mar 2021 23:00:00 -0000

ros-iron-diagnostic-updater (2.1.1-3jammy) jammy; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Wed, 27 Jan 2021 23:00:00 -0000

ros-iron-diagnostic-updater (2.1.0-3jammy) jammy; urgency=high

  * Update to latest ros2 rolling. (#177 <https://github.com/ros/diagnostics/issues/177>)
  * Contributors: Karsten Knese

 -- Austin Hendrix <namniart@gmail.com>  Mon, 11 Jan 2021 23:00:00 -0000

ros-iron-diagnostic-updater (2.0.9-3jammy) jammy; urgency=high

  * Check if parameter is already declared to avoid re-declaring it. (#227)
  * Fix implicit conversion warnings
  * Use node clock in FrequencyStatus diagnostic
  * Allow clock instance to be set from outside in FrequencyStatus
  * Contributors: Arne Nordmann, Grzegorz Głowacki, Marco Lampacrescia, Nikos Koukis, Ralph Lange

 -- Austin Hendrix <namniart@gmail.com>  Fri, 11 Nov 2022 23:00:00 -0000

ros-iron-diagnostic-updater (2.0.8-3jammy) jammy; urgency=high

  * [ROS2] Time Diagnostics can be used with Simulated Time (#201 <https://github.com/ros/diagnostics/issues/201>) (#205 <https://github.com/ros/diagnostics/issues/205>)
  * Contributors: Marco Lampacrescia

 -- Austin Hendrix <namniart@gmail.com>  Mon, 02 Aug 2021 22:00:00 -0000

ros-iron-diagnostic-updater (2.0.7-3jammy) jammy; urgency=high

  * Enable multiple tasks publishing for diagnostic updater (#182 <https://github.com/ros/diagnostics/issues/182>) (#192 <https://github.com/ros/diagnostics/issues/192>)
  * Replace every byte creation instance (#184 <https://github.com/ros/diagnostics/issues/184>) (#191 <https://github.com/ros/diagnostics/issues/191>)
  * Contributors: BasVolkers

 -- Austin Hendrix <namniart@gmail.com>  Wed, 03 Mar 2021 23:00:00 -0000

ros-iron-diagnostic-updater (2.0.6-3jammy) jammy; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Wed, 27 Jan 2021 23:00:00 -0000

ros-iron-diagnostic-updater (2.0.5-3jammy) jammy; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Tue, 05 Jan 2021 23:00:00 -0000

ros-iron-diagnostic-updater (2.0.4-3jammy) jammy; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Tue, 04 Aug 2020 22:00:00 -0000

ros-iron-diagnostic-updater (2.0.3-3jammy) jammy; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Wed, 08 Jul 2020 22:00:00 -0000

ros-iron-diagnostic-updater (2.0.2-3jammy) jammy; urgency=high

  * 2.0.2
  * Re-add leading character to node name (#109 <https://github.com/ros/diagnostics/issues/109>)
  * Ros2 migrate diagnostic aggregator (#118 <https://github.com/ros/diagnostics/issues/118>)
  * Fix DiagnosedPublisher (#135 <https://github.com/ros/diagnostics/issues/135>)
  * fix linters (#134 <https://github.com/ros/diagnostics/issues/134>)
  * Contributors: DensoADAS, Karsten Knese, Scott K Logan, Arne Nordmann

 -- Austin Hendrix <namniart@gmail.com>  Tue, 02 Jun 2020 22:00:00 -0000

ros-iron-diagnostic-updater (2.0.1-3jammy) jammy; urgency=high

  * Re-add leading character to node name (#109 <https://github.com/ros/diagnostics/issues/109>)
  * Ros2 migrate diagnostic aggregator (#118 <https://github.com/ros/diagnostics/issues/118>)

