=== debian/control ===
Source: ros-iron-diagnostic-updater
Section: misc
Priority: optional
Maintainer: Austin Hendrix <namniart@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake, ros-iron-ament-cmake-gtest <!nocheck>, ros-iron-ament-cmake-pytest <!nocheck>, ros-iron-ament-cmake-python, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-diagnostic-msgs, ros-iron-rclcpp, ros-iron-rclcpp-lifecycle <!nocheck>, ros-iron-rclpy, ros-iron-std-msgs, ros-iron-ros-workspace
Homepage: http://www.ros.org/wiki/diagnostic_updater
Standards-Version: 3.9.2

Package: ros-iron-diagnostic-updater
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-diagnostic-msgs, ros-iron-rclcpp, ros-iron-rclpy, ros-iron-std-msgs, ros-iron-ros-workspace
Description: diagnostic_updater contains tools for easily updating diagnostics.
 it is commonly used in device drivers to keep track of the status of output topics, device status, etc.
